<?php

namespace XenGenTr\ResimliOneCikanKonular\XF\Entity;

use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{

	public static function getStructure(Structure $structure)
	{
		$parent = parent::getStructure($structure);
		
		$structure->relations['Onecikan'] = [
			'entity' => 'XenGenTr\ResimliOneCikanKonular:OneCikan',
			'type' => self::TO_ONE,
			'conditions' => 'thread_id',
			'key' => 'onecikan_id',
		];
		
		return $parent;
	}
}